Bug 1125397 - Capsule happily syncs when invalid environment requested
Summary: Capsule happily syncs when invalid environment requested
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 18:12 UTC by Brad Buckingham
Modified: 2016-04-22 16:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:26:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6871 None None None 2016-04-22 16:21:16 UTC

Description Brad Buckingham 2014-07-31 18:12:44 UTC
Description of problem:

Assuming a capsule (id:1) has only the dev (id:2) lifecycle environment attached, attempting to perform a synchronize with the prod (id:4) lifecycle environment will attempt to perform the synchonize.

Scenario:

hammer capsule synchronize --id 1 --environment-id 4

Actual Result:

the server will attempt to sync environment 4, even if it is not associated with the capsule

Expected Result:

the server should return an error to the user indicating that it is an invalid environment

Comment 2 Brad Buckingham 2014-07-31 18:22:48 UTC
Created redmine issue http://projects.theforeman.org/issues/6871 from this bug

Comment 3 Brad Buckingham 2014-07-31 18:31:38 UTC
Fix proposed in Katello PR: 

https://github.com/Katello/katello/pull/4514

Comment 6 Bryan Kearney 2014-09-11 12:26:05 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.